class Person implements Printable {
  private String name = new String("Bill");
  private int age = 22;
  public void printAll() {
    System.out.println("Name is " + name + ", age is " + age);
  }
}
class Stock implements Printable {
  private String tickerSymbol = new String("XYZ");
  private int shares = 100;
  private int currentPrice = 4000; // in pennies
  public void printAll() {
    System.out.println(tickerSymbol + " " + shares +
                       " shares at " + currentPrice);
    System.out.println("Value: " + currentPrice * shares);
  }
  public void sell() {
    System.out.println(tickerSymbol + " sold");
  }
}